<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="../../../development/milestone_plans/stylesheets/milestone-bulletList.xsl"?>

<plan xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:noNamespaceSchemaLocation="../../../development/milestone_plans/milestonePlan.xsd">
	<component name="xml" subproject="wst">
		<description>Milestone planning for XML Component</description>
		<milestone name="M5">
			<title>M5 Plan - 5/13/2005</title>
			<category name="Design for Platform Use">
				<item priority="medium" status="in-progress">
					<description>
						Continue to document Designs, API, JUnit tests,
						and Performance Tests
					</description>
					<detail>
						Describe not only "standard" DOM APIs we
						support, but also, the extensions to that API,
						include Adapters and ReadOnly APIs.
					</detail>
				</item>
				<item priority="medium" status="in-progress">
					<description>
						Continue refactoring to improve separation of
						components.
					</description>
				</item>
			</category>
			<category name="Eclipse Base Parity">
				<item priority="medium" status="in-progress">
					<description>
						Unified Validation marker/annotation model (grey
						icons).
					</description>
					<detail>
						Need to finish work started in M4, namely use
						grey icons, and integrate as extension
						participant.
					</detail>
				</item>
				<item priority="low" status="investigate"
					helpWanted="true">
					<description>
						Improve formatting options
					</description>
					<detail>
						The Eclipse Java Formatter has approximately 129
						formatting options. I'm not sure we can beat
						that record, but we should at least investigate
						the possiblity. :)
					</detail>
				</item>
			</category>

			<category name="Misc.">
				<item priority="low" status="new" helpWanted="true">
					<description>Improve JUnit Coverage</description>
					<detail>
						Seems there must be thousands of (public) XML
						Parsing examples we should test and make sure we
						parse the same way as other parsers, such as
						Xerces, when well formed.
					</detail>
				</item>
				<item priority="low" status="investigate">
					<description>
						Add (non-standard) DOM Operation API.
					</description>
					<detail>
						Its purpose is to optimize notifications, undo
						"units", and also handle such things as
						auto-formatting for all clients.
					</detail>
				</item>
				<item priority="low" status="investigate">
					<description>
						Investigate DOM Event model
					</description>
				</item>
				<item priority="low" status="investigate">
					<description>
						Investigate Content Assist Participant extension
						point
					</description>
				</item>
			</category>
			<category name="Quality">
				<item priority="high" status="in-progress" helpWanted="true">
					<description>Define JUnit testcases for internal provisional API.</description>
					<developer name="david_williams@us.ibm.com"/>
				</item>
				<item priority="medium" status="in-progress" helpWanted="true">
					<description>Define or enhance non-API JUnit testcases.</description>
					<developer name="david_williams@us.ibm.com"/>
				</item>
				<item priority="high" status="investigate" helpWanted="true">
					<description>Write on-line documentation.</description>
					<developer name="david_williams@us.ibm.com"/>
				</item>
			</category>
		</milestone>
	</component>
</plan>